Page MenuHomePhabricator

Add additional events to VisualEditorFeatureUse
Closed, ResolvedPublic

Description

This task is about updating the VisualEditorFeatureUse schema in the ways described in "Schema changes" below.

Schema changes

  • ADD an event that fires when the "Watch this page" is interacted with; where "interacted with" means someone "checks" it or "un-checks" it. [1]
  • ADD an event that fires whenever people switch text input modes – from and to source and visual– while using the Reply tool. [2]
    • Per T252931#6163891, "There's no event fired at all for switching between modes. It should probably be consistent with whatever fires to VisualEditorFeatureUse for a switch from VE to NWE, though because of the different architecture I imagine we'll have to manually trigger the appropriate activity. event rather than relying on it coming from a Tool."
  • FIX the issue that currently exists when switching between input modes.
    • Per T252931#6163891, "Switching EditAttemptStep.firstChange fires every single time you switch to source mode if there's any content in the field (but not when you switch to visual mode, regardless."

Done

Sequenced from first (1) to last (4):


1. "Watch this page" checkbox
  1. Note: we already be tracking

Event Timeline

ppelberg updated the task description. (Show Details)Jun 3 2020, 7:12 PM

Adding to "Done"

  • Updated task description to include the documentation that will need to be updated once the events described in the task description have been implemented.
ppelberg updated the task description. (Show Details)Jun 3 2020, 7:43 PM

Change 602431 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Track more events for VisualEditorFeatureUse

https://gerrit.wikimedia.org/r/602431

(Moving to "Code Review" seeing as how a patch has been added)

Change 602431 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Track more events for VisualEditorFeatureUse

https://gerrit.wikimedia.org/r/602431

Change 603638 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Logging: editor_interface should be visualeditor not visual.

https://gerrit.wikimedia.org/r/603638

Change 603638 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Logging: editor_interface should be visualeditor not visual.

https://gerrit.wikimedia.org/r/603638

Change 603658 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Tweak editor-switch mode label so it's consistent with the naming in VisualEditor

https://gerrit.wikimedia.org/r/603658

Change 603658 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Tweak editor-switch mode label so it's consistent with the naming in VisualEditor

https://gerrit.wikimedia.org/r/603658

Organization

  • Considering the patches to implement the changes described in "Schema changes" above have been implemented, I'm assigning this task over to @Mayakp.wiki to complete steps "2.", "3." and "4." described in the description's "Done" section.
  • Considering QA for the work in this ticket will happen in T252926, I am moving this out of the Editing QA column.
ppelberg reassigned this task from DLynch to Mayakp.wiki.Jun 10 2020, 12:38 AM
ppelberg updated the task description. (Show Details)
ppelberg moved this task from Backlog to Analytics on the Editing-team (Tracking) board.
Mayakp.wiki updated the task description. (Show Details)Jun 10 2020, 10:48 PM
Mayakp.wiki updated the task description. (Show Details)

Marked steps "2", "3" as completed. Links are provided in the task description.

Marked steps "2", "3" as completed. Links are provided in the task description.

Great – thank you, Maya.

Considering the last remaining action – update the VEFU data dictionary – will happen after T252930, I am moving this to "Required after release" on the OWC2020 Replying 2.0 workboard.

ppelberg updated the task description. (Show Details)Jul 16 2020, 10:29 PM

Meta
I am adding the Product-Analytics tag as the last remaining step is listed below. This action item is copied from "Done" section of the task description:

LGoto triaged this task as Medium priority.Jul 20 2020, 4:10 PM
LGoto edited projects, added Product-Analytics (Kanban); removed Product-Analytics.

Updated VisualEditor/FeatureUse_data_dictionary
Added the following features:
mwUsernameCompletion

  • Tagging a user in a talk page comment - using @mention or clicking an icon

dtReply

  • Watch discussion or Watch this page (applies to DiscussionTools)

Added the following Action:
checkbox-wpWatchthis

  • Feature: dtReply - DiscussionTools related action for When a user opts to Watch Discussion or Watch this page

Updated VisualEditor/FeatureUse_data_dictionary
Added the following features...

Great – thank you, @Mayakp.wiki.

Would it be accurate for me to think the VisualEditorFeatureUse data dictionary has been updated with all of the changes we've made and this task can now be resolved?

Mayakp.wiki updated the task description. (Show Details)Sep 2 2020, 3:54 PM

Hi @ppelberg, since data-QA is completed and the additional instrumentation work has been captured in T259673, I believe the scope of this task has been completed. We can go ahead and resolve it.

ppelberg closed this task as Resolved.Sep 5 2020, 12:48 AM